.app-orderprint {
  display: flex;
  justify-content: flex-end;
  margin-top: 24px;
}

.orderprint-download svg {
  width: 16px;
  height: 16px;
  margin-right: 6px;
}

.orderprint-download {
  display: flex;
  align-items: center;
  cursor: pointer;
  text-decoration: underline;
}

.app-orderprint-mask {
  background: rgba(0, 0, 0, .2);
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.app-orderprint-mask .app-orderprint-popup {
  background: #fff;
  padding: 24px;
  border-radius: 8px;
  max-width: calc(100vw - 40px);
  width: 400px;
  box-sizing: border-box;
}

.app-orderprint-popup input {
  height: 40px;
  border-radius: 4px;
  width: 100%;
  padding: 0 8px;
  outline: none;
  border: 1px solid #ccc;
  margin-top: 16px;
  box-sizing: border-box;
}

.app-orderprint-btns {
  display: flex;
  justify-content: flex-end;
  margin-top: 24px;
  border-top: 1px solid #ccc;
  padding-top: 12px;
}

.app-orderprint-btns * {
  height: 40px;
  min-width: 100px;
  border-radius: 4px;
  border: 1px solid #000;
  color: #000;
  margin-left: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all .2s linear;
  cursor: pointer;
}

.app-orderprint-btns *:hover {
  opacity: 0.8;
}

.app-orderprint-btns .submit {
  border-color: transparent;
  color: #fff;
  background: #000;
}

.account_vieworder_total .app-orderprint {
  justify-content: flex-start;
}